โจ Create a Creative
Creates a new creative for an advertiser.๐ค Request Example
curl -X POST https://betaapi.audiohook.com/v2/companies/:companyUUID/creatives \
-H "Authorization: Bearer ${API_TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"request_headers": [
{ "name": "X-Request-Header", "value": "Header value" }
],
"body": {
"creative_name": "Snarkys 30 sec Christmas spot",
"advertiser_id": "1234-abcd-qwer-xcvb",
"status": true,
"filename": "my-great-audio-ad.wav",
"tags": [...],
"start_flight_date": "2022-12-01",
"end_flight_date": "2023-01-01",
"events": [...],
"companion_ad": {
"click_through_url": "https://snarkyspizza.com/...",
"display_asset_filename": "eat-at-snarkys-christmas-spot.png"
}
}
}'
โ Response Example
{
"creativeId": 9999,
"s3_data": { ... },
"s3_displayad": { ... }
}
๐ HTTP Request
POST /v2/companies/:companyUUID/creatives
๐งพ Body Parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| creative_name | โ | string | Name of the creative. |
| advertiser_id | โ | string | Advertiser UUID. |
| status | โ | boolean | Active status for use in campaigns. |
| filename | โ | string | Filename including extension. |
| tags | โ | array | Tags to categorize creative. |
| start_flight_date | โ | string | Start date in Y-M-D. |
| end_flight_date | โ | string | End date in Y-M-D. |
| events | โ | array | Pixel events to attach. |
| companion_ad | โ | object | Companion display ad. |

